// sass-lint:disable-all
.header-dropdown {
	$this: &;

	position: relative;
	display: block;
	margin: 0;
	padding: 0;

	.ant-menu-submenu-popup {
		.ant-menu-item {
			height: 32px !important;
			line-height: 32px !important;
		}

		#{$this}__logout-divider {
			margin-top: 6px;

			& ~ {
				.ant-menu-item {
					height: 40px !important;
					line-height: 40px !important;
				}
			}
		}
	}

	&__list {
		position: relative;
		display: block;
		margin: 0;
		padding: 0;
		color: #979797;
		font-family: $font-family-default !important;
		font-size: 14px !important;
		transition: color .25s ease;

		& > .ant-menu-submenu {
			& > .ant-menu-submenu-title {
				padding: 0 rem(20) !important;
			}
		}
	}

	&__title {
		position: relative;
		display: block;
		margin: 0;
		padding: 0;
		max-width: rem(200);
		white-space: nowrap;
		overflow: hidden;
		text-overflow: ellipsis;

		.anticon {
			margin: 0 !important;
			color: #979797;
			font-size:  10px !important;
		}

		.-title-text- {
			position: relative;
			top: -4px;
		}

		.-role-name- {
			position: absolute;
			top: 34px;
			left: 0;
			z-index: 1;
			display: block;
			max-width: 100%;
			margin: 0;
			padding: 0;
			color: $color-muted;
			font-size: 12px;
			line-height: 1.666;
			text-overflow: ellipsis;
			white-space: nowrap;
			overflow: hidden;
		}
	}

	&__avatar {
		.anticon {
			min-width: rem(22) !important;
			margin: 0 !important;
			font-size: rem(22) !important;
		}
	}
}

.ant-menu-horizontal {
    border: none !important;
}

.ant-menu-horizontal > .ant-menu-item, .ant-menu-horizontal > .ant-menu-submenu {
    border: none !important;
}
